Amazon Reviews
curl --request POST \
--url https://api.socq.ai/v1/amazon/reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"<string>"
],
"results_limit": 100
}
'import requests
url = "https://api.socq.ai/v1/amazon/reviews"
payload = {
"urls": ["<string>"],
"results_limit": 100
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({urls: ['<string>'], results_limit: 100})
};
fetch('https://api.socq.ai/v1/amazon/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": {
"task_id": "<string>",
"status": "<string>",
"created_time": "<string>"
}
}{
"code": 422,
"error": {
"message": "<string>",
"type": "<string>",
"details": {}
}
}Amazon Reviews
获取 Amazon 的标准化公开 Reviews 数据。
POST
/
v1
/
amazon
/
reviews
Amazon Reviews
 成功返回的每条标准结果扣除0.15 积分。列表接口按 results_limit 预扣并按实际结果结算。
请求体
{
"urls": [
"https://www.amazon.com/dp/B0CHHSFMRL"
],
"results_limit": 3
}
通过 MCP 使用
| 接口 | 值 |
|---|---|
| REST | POST /v1/amazon/reviews |
| Compact MCP | socq_execute with endpoint: "amazon/reviews" |
| Typed MCP | socq_amazon_reviews |
| Exact-tool URL | https://api.socq.ai/mcp?tools=amazon_reviews |
| CLI | socq amazon reviews |
请求成功后会返回
task_id。使用 socq_get_task 查询任务,成功后从 results.items 读取标准化结果。结果字段
| 字段 | 类型 | 可为空 | 说明 |
|---|---|---|---|
id | string | 是 | 当前结果项的唯一标识。 |
platform | string | 否 | 结果所属的平台,例如 instagram 或 linkedin。 |
resource | string | 否 | 该结果对应的 SocQ 资源,例如 videos 或 comments。 |
type | string | 否 | 结果项的类别,例如 video、post 或 comment。 |
url | string | 是 | 结果项的公开访问地址(如可获得)。 |
published_at | string | 是 | 源内容的发布时间(如可获得),使用 ISO 8601 格式。 |
collected_at | string | 否 | SocQ 采集或处理该结果的时间,使用 ISO 8601 格式。 |
text | string | 是 | 评价文本。 |
author | object | 是 | 内容的作者或发布者。 |
author | object | 否 | 标准结果中的字段值。 |
author.id | string | 是 | 作者的唯一标识。 |
author.username | string | 是 | 账号的公开用户名或账号标识。 |
author.name | string | 是 | 作者的显示名称。 |
author.url | string | 是 | 作者的公开访问地址(如可获得)。 |
author.avatar_url | string | 是 | 账号头像图片的地址。 |
author.is_verified | boolean | 是 | 账号是否已通过平台认证。 |
author.is_private | boolean | 是 | 账号是否为私密账号。 |
rating | number | 是 | 该条评价给出的评分。 |
subject_id | string | 是 | 被评价的商品、公司或其他对象的标识。 |
subject_url | string | 是 | 被评价对象的公开访问地址。 |
media | array<object> | 是 | 结果附带的图片、视频或其他媒体。 |
任务完成响应
{
"code": 200,
"message": "success",
"data": {
"task_id": "task_example",
"public_id": "amazon/reviews",
"status": "succeeded",
"result_count": 0,
"credits_amount": 0,
"results": {
"schema_id": "review",
"schema_version": "1.0",
"items": [],
"limit": 20,
"next_cursor": null,
"has_more": false
}
}
}
授权
bearerAuthapiKeyAuth
使用 Authorization: Bearer <token> 请求头进行身份验证。
请求体
application/json
⌘I

